### Method

# Gimp Image metadata_load_prepare

since: 2.10

#### Declaration [src]

    GimpMetadata*
    gimp_image_metadata_load_prepare (
      GimpImage* image,
      const gchar* mime_type,
      GFile* file,
      GError** error
    )

#### Description [src]

Loads and returns metadata from `file` to be passed into gimp_image_metadata_load_finish().

Available since: 2.10

#### Parameters

`mime_type`

  Type: `const gchar*`

  The loaded file’s mime-type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `GFile`

  The file to load the metadata from.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpMetadata`

The file’s metadata.

The caller of the method takes ownership of the data, and is responsible for freeing it.